Skip to main content
PUT
/
api
/
decks
/
{deckId}
Update a deck
curl --request PUT \
  --url https://app.demandiq.com/api/decks/{deckId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "type": "structured",
  "isActive": true,
  "deckContext": "<string>",
  "action": {},
  "contact": {},
  "priceVariables": [
    {
      "name": "roof_squares",
      "label": "Roof squares",
      "type": "number",
      "defaultValue": 123,
      "required": true,
      "helpText": "<string>",
      "source": "measurement",
      "systemVariable": true
    }
  ],
  "priceFormatting": {
    "currency": "USD",
    "roundTo": 2
  }
}
'
{
  "deck": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "Solar Roof Pitch",
    "description": "<string>",
    "type": "structured",
    "isActive": true,
    "metadata": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Path Parameters

deckId
string<uuid>
required

Deck ID

Body

application/json
name
string
description
string
type
enum<string>
Available options:
structured,
image-based
isActive
boolean
deckContext
string
action
object

Action configuration

contact
object

Contact info

priceVariables
object[]
priceFormatting
object

Response

Deck updated

deck
object